Modify

#499 closed defect (fixed)

Nick generation issue

Reported by: wilmer Owned by:
Priority: normal Milestone:
Component: IRC Version: 1.2.3
Keywords: Cc:
IRC client+version: Client-independent Operating System: Public server
OS version/distro:

Description

06:08 <@root> Trying to get a sane nick for handle pvaradarajan@jabber.orbitz.net/8e4ceec4
06:08 <@root> Char 0: ¸/-72
06:08 <@root> Char 1: _/95
06:08 <@root> Char 2: _/95
06:08 <@root> Char 3: _/95
06:08 <@root> Char 4: _/95
[...]

Looks like a very non-ASCII character, not sure how that escaped from the stripping code but that's definitely a bug. :-)

Attachments (0)

Change History (4)

comment:1 Changed at 2009-06-06T11:43:35Z by wilmer

Component: BitlBeeIRC
Milestone: 1.2.4

And I blame both the Jabber module and the IRC core.

comment:2 Changed at 2010-03-17T01:45:11Z by wilmer

Milestone: 1.2.41.2.x

One specific place from where this is triggered right now is the Jabber groupchats, sometimes a full Jabber JID gets into BitlBee and causes issues. It's a separate bug, really, have to fix both.

comment:3 Changed at 2010-05-10T23:43:08Z by wilmer

Resolution: fixed
Status: newclosed

I found the problem in the Jabber module that caused this.

changeset:devel,574 fixes this (turns out to be a 1-line fix, even).

comment:4 Changed at 2016-07-07T20:51:01Z by dx

Milestone: 1.2.x

Modify Ticket

Action
as closed The ticket will remain with no owner.
The resolution will be deleted. Next status will be 'reopened'.

Add Comment


E-mail address and name can be saved in the Preferences.

 
Note: See TracTickets for help on using tickets.